summaryrefslogtreecommitdiffstats
path: root/hosts/jtx1c-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
diff options
context:
space:
mode:
authorVagrant Cascadian <vagrant@debian.org>2017-09-07 21:05:06 -0700
committerHolger Levsen <holger@layer-acht.org>2017-09-16 15:20:18 +0200
commit1791bed0c22b51e5feddc5a5230271f693fe1de2 (patch)
tree971503789fc315cf2b41f1f415671b7a0546386b /hosts/jtx1c-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
parent32cc781c3545909105b6b50e66c11c606f5448a9 (diff)
downloadjenkins.debian.net-1791bed0c22b51e5feddc5a5230271f693fe1de2.tar.xz
reproducible: Add new armhf builder, jtx1c.
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'hosts/jtx1c-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup')
-rwxr-xr-xhosts/jtx1c-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup17
1 files changed, 17 insertions, 0 deletions
diff --git a/hosts/jtx1c-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup b/hosts/jtx1c-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
new file mode 100755
index 00000000..334e03a2
--- /dev/null
+++ b/hosts/jtx1c-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -z -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi